
:: Before running this file, sign the assembly in Project properties
::
:: To customize this file, find and replace
:: a) "ApprovalSequentialEdition" with your own feature name
:: b) "[IP_FORM_FILENAME]" with InfoPath form that needs to be uploaded (add additional lines for multiple forms)
:: b) "feature.xml" with the name of your feature.xml file
:: c) "workflow.xml" with the name of your workflow.xml file
:: d) "http://moss:8000" with the name of the site you wish to publish to

echo Copying the feature...

rd /s /q "%CommonProgramFiles%\Microsoft Shared\web server extensions\12\TEMPLATE\FEATURES\ApprovalSequentialEditionWithCAG"
mkdir "%CommonProgramFiles%\Microsoft Shared\web server extensions\12\TEMPLATE\FEATURES\ApprovalSequentialEditionWithCAG"

copy /Y feature.xml  "%CommonProgramFiles%\Microsoft Shared\web server extensions\12\TEMPLATE\FEATURES\ApprovalSequentialEditionWithCAG\"
copy /Y workflow.xml "%CommonProgramFiles%\Microsoft Shared\web server extensions\12\TEMPLATE\FEATURES\ApprovalSequentialEditionWithCAG\"
xcopy /s /Y *.xsn "%programfiles%\Common Files\Microsoft Shared\web server extensions\12\TEMPLATE\FEATURES\ApprovalSequentialEditionWithCAG\"



echo Adding assemblies to the GAC...

"%programfiles%\Microsoft Visual Studio 8\SDK\v2.0\Bin\gacutil.exe" -uf ApprovalSequentialEdition
"%programfiles%\Microsoft Visual Studio 8\SDK\v2.0\Bin\gacutil.exe" -if bin\Debug\ApprovalSequentialEdition.dll

:: Note: 64-bit alternative to lines above; uncomment these to install on a 64-bit machine
::"%programfiles% (x86)\Microsoft Visual Studio 8\SDK\v2.0\Bin\gacutil.exe" -uf ApprovalSequentialEdition
::"%programfiles% (x86)\Microsoft Visual Studio 8\SDK\v2.0\Bin\gacutil.exe" -if bin\Debug\ApprovalSequentialEdition.dll



echo Verifying InfoPath Forms...

::Note: Verify InfoPath forms; copy line for each form
::"%programfiles%\common files\microsoft shared\web server extensions\12\bin\stsadm" -o verifyformtemplate -filename [IP_FORM_FILENAME]



echo Activating the feature...

pushd %programfiles%\common files\microsoft shared\web server extensions\12\bin

::Note: Uncomment these lines if you've modified your deployment xml files or IP forms 
stsadm -o deactivatefeature -filename ApprovalSequentialEditionWithCAG\feature.xml -url http://windiechai:80
stsadm -o uninstallfeature -filename ApprovalSequentialEditionWithCAG\feature.xml

stsadm -o installfeature -filename ApprovalSequentialEditionWithCAG\feature.xml -force
stsadm -o activatefeature -filename ApprovalSequentialEditionWithCAG\feature.xml -url http://windiechai:80


echo Doing an iisreset...

popd
iisreset
