<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:my="http://schemas.microsoft.com/office/infopath/2003/myXSD/2007-01-30T13:00:28" xmlns:xd="http://schemas.microsoft.com/office/infopath/2003" version="1.0">
	<xsl:output encoding="UTF-8" method="xml"/>
	<xsl:template match="/">
		<xsl:copy-of select="processing-instruction() | comment()"/>
		<xsl:choose>
			<xsl:when test="my:Init">
				<xsl:apply-templates select="my:Init" mode="_0"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="var">
					<xsl:element name="my:Init"/>
				</xsl:variable>
				<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="my:Person" mode="_2">
		<xsl:copy>
			<xsl:element name="my:DisplayName">
				<xsl:copy-of select="my:DisplayName/text()[1]"/>
			</xsl:element>
			<xsl:element name="my:AccountId">
				<xsl:copy-of select="my:AccountId/text()[1]"/>
			</xsl:element>
			<xsl:element name="my:AccountType">
				<xsl:copy-of select="my:AccountType/text()[1]"/>
			</xsl:element>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="my:contact" mode="_1">
		<xsl:copy>
			<xsl:choose>
				<xsl:when test="my:Person">
					<xsl:apply-templates select="my:Person" mode="_2"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="my:Person"/>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="my:Init" mode="_0">
		<xsl:copy>
			<xsl:choose>
				<xsl:when test="my:contact">
					<xsl:apply-templates select="my:contact[1]" mode="_1"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="my:contact"/>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_1"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:element name="my:comments">
				<xsl:copy-of select="my:comments/text()[1]"/>
			</xsl:element>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>